% In order to launch the code just do the following steps:
% 
% - run Matlab
% - unzip all files in Matlab current directory (C:/..../Matlab/work is the default directory)
% - type the name of main function ("face3d") on Matlab command window (the white window)
% - now a simple and intuitive GUI should appear
%
%
% FUNCTIONS
%
% Select image:                                  read the input image
%
% Add selected image to database:                the input image is added to database and will be used for training
%
% Database Info:                                 show informations about the images present in database. Images must
%                                                have the same size. If this is not true you have to resize them.
%
% 3D Face Recognition:                           face matching. The selected input image is processed
%
% Delete Database:                               remove database from the current directory
%
% Info:                                          show informations about this software
%
% Visualization tool:                            visualization utility
%
% Source code for Face 3D Recognition System:    how to obtain the complete source code
%
% Exit:                                          quit program
%
% 
% First, select an input image clicking on "Select image".
% Then you can
%   - add this image to database (click on "Add selected image to database"
%   - perform 3d face recognition (click on "3D Face Recognition" button)
%     Note: If you want to perform 3d face recognition database has to include 
%     at least one image.
%  If you choose to add image to database, a positive integer (face ID) is
%  required. This posivive integer is a progressive number which identifies
%  a facial imaage (each ID corresponds to a class).
%
% For example:
%  - run the GUI (type "face3d" on Matlab command window)
%  - delete database (click on "Delete Database")
%  - add "mike1.jpg" to database ---> the ID has to be 1 since Mike is the first
%    person you are adding to database
%  - add "mike2.jpg" to database ---> the ID has to be 1 since you have already
%    added a Mike's image to database
%  - add "paul1.jpg" to database ---> the ID has to be 2 since Paul is the second person
%    you are adding to database
%  - add "cindy1.jpg" to database ---> the ID has to be 3 since Cindy is
%    the third person you are adding to database
%  - add "paul2.jpg" to database ---> the ID has to be 2 once again since
%    you have already added Paul to database
%   
% ... and so on! Very simple, isnt't? :)
% 
% The recognition gives as results the ID of nearest face present in
% database. For example if you select image "paul3.jpg" the ID given SHOULD
% be 2: "it should be" because errors are possible.
% 
% 
% 
% Luigi ROSA
% Via Centrale 35
% 67042 Civita di Bagno
% L'Aquila - ITALY
% mobile +39 3207214179
% email luigi.rosa@tiscali.it
% website http://www.advancedsourcecode.com
% 
